"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteEventSubscription_1 = require("../model/operations/DeleteEventSubscription");
var DeleteEventSubscriptionCommand = /** @class */ (function () {
    function DeleteEventSubscriptionCommand(input) {
        this.input = input;
        this.model = DeleteEventSubscription_1.DeleteEventSubscription;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteEventSubscriptionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteEventSubscriptionCommand;
}());
exports.DeleteEventSubscriptionCommand = DeleteEventSubscriptionCommand;
//# sourceMappingURL=DeleteEventSubscriptionCommand.js.map