import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeOrderableReplicationInstancesInput } from "../types/DescribeOrderableReplicationInstancesInput";
import { DescribeOrderableReplicationInstancesOutput } from "../types/DescribeOrderableReplicationInstancesOutput";
import { DatabaseMigrationServiceResolvedConfiguration } from "../DatabaseMigrationServiceConfiguration";
export * from "../types/DescribeOrderableReplicationInstancesInput";
export * from "../types/DescribeOrderableReplicationInstancesOutput";
export * from "../types/DescribeOrderableReplicationInstancesExceptionsUnion";
export declare class DescribeOrderableReplicationInstancesCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeOrderableReplicationInstancesInput, OutputTypesUnion, DescribeOrderableReplicationInstancesOutput, DatabaseMigrationServiceResolvedConfiguration, Blob> {
    readonly input: DescribeOrderableReplicationInstancesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeOrderableReplicationInstancesInput, DescribeOrderableReplicationInstancesOutput, Blob>;
    constructor(input: DescribeOrderableReplicationInstancesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DatabaseMigrationServiceResolvedConfiguration): __aws_sdk_types.Handler<DescribeOrderableReplicationInstancesInput, DescribeOrderableReplicationInstancesOutput>;
}
