import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { StopReplicationTaskInput } from "../types/StopReplicationTaskInput";
import { StopReplicationTaskOutput } from "../types/StopReplicationTaskOutput";
import { DatabaseMigrationServiceResolvedConfiguration } from "../DatabaseMigrationServiceConfiguration";
export * from "../types/StopReplicationTaskInput";
export * from "../types/StopReplicationTaskOutput";
export * from "../types/StopReplicationTaskExceptionsUnion";
export declare class StopReplicationTaskCommand implements __aws_sdk_types.Command<InputTypesUnion, StopReplicationTaskInput, OutputTypesUnion, StopReplicationTaskOutput, DatabaseMigrationServiceResolvedConfiguration, Blob> {
    readonly input: StopReplicationTaskInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<StopReplicationTaskInput, StopReplicationTaskOutput, Blob>;
    constructor(input: StopReplicationTaskInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DatabaseMigrationServiceResolvedConfiguration): __aws_sdk_types.Handler<StopReplicationTaskInput, StopReplicationTaskOutput>;
}
