import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { TestConnectionInput } from "../types/TestConnectionInput";
import { TestConnectionOutput } from "../types/TestConnectionOutput";
import { DatabaseMigrationServiceResolvedConfiguration } from "../DatabaseMigrationServiceConfiguration";
export * from "../types/TestConnectionInput";
export * from "../types/TestConnectionOutput";
export * from "../types/TestConnectionExceptionsUnion";
export declare class TestConnectionCommand implements __aws_sdk_types.Command<InputTypesUnion, TestConnectionInput, OutputTypesUnion, TestConnectionOutput, DatabaseMigrationServiceResolvedConfiguration, Blob> {
    readonly input: TestConnectionInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<TestConnectionInput, TestConnectionOutput, Blob>;
    constructor(input: TestConnectionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DatabaseMigrationServiceResolvedConfiguration): __aws_sdk_types.Handler<TestConnectionInput, TestConnectionOutput>;
}
