"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteReplicationSubnetGroupInput_1 = require("../shapes/DeleteReplicationSubnetGroupInput");
var DeleteReplicationSubnetGroupOutput_1 = require("../shapes/DeleteReplicationSubnetGroupOutput");
var InvalidResourceStateFault_1 = require("../shapes/InvalidResourceStateFault");
var ResourceNotFoundFault_1 = require("../shapes/ResourceNotFoundFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteReplicationSubnetGroup = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteReplicationSubnetGroup",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteReplicationSubnetGroupInput_1.DeleteReplicationSubnetGroupInput
    },
    output: {
        shape: DeleteReplicationSubnetGroupOutput_1.DeleteReplicationSubnetGroupOutput
    },
    errors: [
        {
            shape: InvalidResourceStateFault_1.InvalidResourceStateFault
        },
        {
            shape: ResourceNotFoundFault_1.ResourceNotFoundFault
        }
    ]
};
//# sourceMappingURL=DeleteReplicationSubnetGroup.js.map