"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeReplicationInstancesInput_1 = require("../shapes/DescribeReplicationInstancesInput");
var DescribeReplicationInstancesOutput_1 = require("../shapes/DescribeReplicationInstancesOutput");
var ResourceNotFoundFault_1 = require("../shapes/ResourceNotFoundFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeReplicationInstances = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeReplicationInstances",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeReplicationInstancesInput_1.DescribeReplicationInstancesInput
    },
    output: {
        shape: DescribeReplicationInstancesOutput_1.DescribeReplicationInstancesOutput
    },
    errors: [
        {
            shape: ResourceNotFoundFault_1.ResourceNotFoundFault
        }
    ]
};
//# sourceMappingURL=DescribeReplicationInstances.js.map