"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ReloadTablesInput_1 = require("../shapes/ReloadTablesInput");
var ReloadTablesOutput_1 = require("../shapes/ReloadTablesOutput");
var ResourceNotFoundFault_1 = require("../shapes/ResourceNotFoundFault");
var InvalidResourceStateFault_1 = require("../shapes/InvalidResourceStateFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ReloadTables = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ReloadTables",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ReloadTablesInput_1.ReloadTablesInput
    },
    output: {
        shape: ReloadTablesOutput_1.ReloadTablesOutput
    },
    errors: [
        {
            shape: ResourceNotFoundFault_1.ResourceNotFoundFault
        },
        {
            shape: InvalidResourceStateFault_1.InvalidResourceStateFault
        }
    ]
};
//# sourceMappingURL=ReloadTables.js.map