import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeReplicationSubnetGroupsInput } from "../types/DescribeReplicationSubnetGroupsInput";
import { DescribeReplicationSubnetGroupsOutput } from "../types/DescribeReplicationSubnetGroupsOutput";
import { DatabaseMigrationServiceResolvedConfiguration } from "../DatabaseMigrationServiceConfiguration";
export * from "../types/DescribeReplicationSubnetGroupsInput";
export * from "../types/DescribeReplicationSubnetGroupsOutput";
export * from "../types/DescribeReplicationSubnetGroupsExceptionsUnion";
export declare class DescribeReplicationSubnetGroupsCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeReplicationSubnetGroupsInput, OutputTypesUnion, DescribeReplicationSubnetGroupsOutput, DatabaseMigrationServiceResolvedConfiguration, Blob> {
    readonly input: DescribeReplicationSubnetGroupsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeReplicationSubnetGroupsInput, DescribeReplicationSubnetGroupsOutput, Blob>;
    constructor(input: DescribeReplicationSubnetGroupsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DatabaseMigrationServiceResolvedConfiguration): __aws_sdk_types.Handler<DescribeReplicationSubnetGroupsInput, DescribeReplicationSubnetGroupsOutput>;
}
