"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeReplicationSubnetGroups_1 = require("../model/operations/DescribeReplicationSubnetGroups");
var DescribeReplicationSubnetGroupsCommand = /** @class */ (function () {
    function DescribeReplicationSubnetGroupsCommand(input) {
        this.input = input;
        this.model = DescribeReplicationSubnetGroups_1.DescribeReplicationSubnetGroups;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeReplicationSubnetGroupsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeReplicationSubnetGroupsCommand;
}());
exports.DescribeReplicationSubnetGroupsCommand = DescribeReplicationSubnetGroupsCommand;
//# sourceMappingURL=DescribeReplicationSubnetGroupsCommand.js.map